Package org.codehaus.janino.util

# Class ClassFile.CodeAttribute.ExceptionTableEntry

java.lang.Object
org.codehaus.janino.util.ClassFile.CodeAttribute.ExceptionTableEntry

Enclosing class:
  `ClassFile.CodeAttribute`

public static class ClassFile.CodeAttribute.ExceptionTableEntry extends Object
Representation of an entry in the "exception_table" of a "Code" attribute (see JVMS 4.7.3).

## Constructor Summary

Constructors
Constructor
Description
`ExceptionTableEntry(short startPc, short endPc, short handlerPc, short catchType)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionTableEntry

public ExceptionTableEntry(short startPc, short endPc, short handlerPc, short catchType)